
-- Handle when the user mouses over a unit, replacing the "Level" line.
GameTooltip:HookScript("OnTooltipSetUnit", function(self)
	local genders = {"", "Male ", "Female "};
	local unit = select(2, self:GetUnit());
	if not unit then
		return nil;
	end

	if UnitIsPlayer(unit) then
		for i = 2, self:NumLines() do
			if _G["GameTooltipTextLeft"..i]:GetText():find("^Level") then
				_G["GameTooltipTextLeft"..i]:SetText("Level "..UnitLevel(unit).." "..genders[UnitSex(unit)]..UnitRace(unit).." "..UnitClass(unit).." (Player)");
				self:Show();
				break;
			end
		end
	end
end);
